Bug 256332 - databases/pecl-memcached: Add MSGPACK support and OPTION
Summary: databases/pecl-memcached: Add MSGPACK support and OPTION
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords: feature, needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2021-06-01 10:11 UTC by Unrealist
Modified: 2021-06-14 18:06 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Unrealist 2021-06-01 10:11:20 UTC
--- databases/pecl-memcached/Makefile	2021-05-31 14:34:36.420621000 +0000
+++ databases/pecl-memcached/Makefile	2021-05-31 14:55:44.271783000 +0000
@@ -18,12 +18,16 @@ CONFIGURE_ARGS=	--with-libmemcached-dir=${LOCALBASE}-OPTIONS_DEFINE=	IGBINARY SASL
+OPTIONS_DEFINE=	IGBINARY MSGPACK SASL
 OPTIONS_DEFAULT=SASL
 IGBINARY_DESC=	Binary serializer support
+MSGPACK_DESC=   MSGPACK serializer support IGBINARY_CONFIGURE_ENABLE=	memcached-igbinary
 IGBINARY_USE=		PHP=igbinary:build
+MSGPACK_CONFIGURE_ENABLE=	memcached-msgpack
+MSGPACK_BUILD_DEPENDS=	${PECL_PKGNAMEPREFIX}msgpack>=0:devel/pecl-msgpack@${PHP_FLAVOR}
+MSGPACK_RUN_DEPENDS=	${PECL_PKGNAMEPREFIX}msgpack>=0:devel/pecl-msgpack@${PHP_FLAVOR}
 SASL_CONFIGURE_ENABLE=	memcached-sasl
 SASL_LIB_DEPENDS=	libsasl2.so:security/cyrus-sasl2
Comment 1 Po-Chuan Hsieh freebsd_committer 2021-06-12 05:22:41 UTC
(In reply to Unrealist from comment #0)

Please provide the patch in correct form.
Comment 2 commit-hook freebsd_committer 2021-06-14 17:50:15 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4638c2ff94e9d5fab04df718f6245dabd90c542e

commit 4638c2ff94e9d5fab04df718f6245dabd90c542e
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2021-06-14 17:43:22 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-06-14 17:43:22 +0000

    databases/pecl-memcached: Add MSGPACK option

    PR:             256332
    Reported by:    Unrealist <fbsd_bugs@int.pl>

 databases/pecl-memcached/Makefile | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)
Comment 3 Po-Chuan Hsieh freebsd_committer 2021-06-14 18:06:38 UTC
Committed. Thanks!